Summary: A Pascal to C translator.
Name: p2c
Version: 1.22
Release: 9
Copyright: distributable
Group: Development/Languages
Source: ftp://csvax.cs.caltech.edu/pub/p2c-1.22.tar.gz
Patch0: p2c-1.20-misc.patch
Patch1: p2c-1.20-br.patch
Patch2: p2c-newpatch.patch
BuildRoot: %{_tmppath}/%{name}-root
Obsoletes: basic

%description
P2c is a system for translating Pascal programs into the C language.
P2c accepts input source files in certain Pascal dialects: HP Pascal,
Turbo/UCSD Pascal, DEC VAX Pascal, Oregon Software Pascal/2, Macintosh
Programmer's Workshop Pascal and Sun/Berkeley Pascal.  P2c outputs a
set of .c and .h files which make up a C program equivalent to the
original Pascal program.  The C program can then be compiled using a
standard C compiler, such as gcc.

Install the p2c package if you need a program for translating Pascal
code into C code.

%package devel
Summary: Files for p2c Pascal to C translator development.
Group: Development/Languages

%description devel
The p2c-devel package contains the files necessary for development
of the p2c Pascal to C translation system.

Install the p2c-devel package if you want to do p2c development.

%prep
%setup  -q
#%patch0 -p1 -b .misc
#%patch1 -p1 -b .br
%patch2 -p1 -b .new
mkdir src/shlib
mkdir include
ln -s ../src include/p2c

%build
cp src/sys.p2crc src/p2crc
make RPM_OPTS="$RPM_OPT_FLAGS"
make RPM_OPTS="$RPM_OPT_FLAGS" shlib -C src

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir} \
	$RPM_BUILD_ROOT%{_mandir}/man1 \
	$RPM_BUILD_ROOT%{_includedir} \
	$RPM_BUILD_ROOT%{_libdir}

make install RPM_INSTALL=$RPM_BUILD_ROOT MANDIR=$RPM_BUILD_ROOT%{_mandir}/man1
 
%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc examples/*
%{_bindir}/p2c
%{_libdir}/libp2c.so.1.2.0
%{_libdir}/p2c
%{_mandir}/*/*

%files devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_includedir}/p2c


%changelog
* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 25 2000 Matt Wilson <msw@redhat.com>
- move defattr above docs in file list

* Mon Jun 19 2000 Than Ngo <than@redhat.de>
- FHS fixes
 
* Sun Mar 26 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- run ldconfig directly

* Mon Feb  7 2000 Bill Nottingham <notting@redhat.com>
- handle compressed manpages

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- fixed group.

* Sun Mar 21 1999 Michael Maher <mike@redhat.com>
- Merged patched tar ball on gribble with original 
  installation.  Was missing important parts of 
  make files.  
- Fixed many errors in Makefiles. 
- moved 'basic' stuff into doc

* Fri Dec 18 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1
- buildroot
- binary files and man page should really be in the main package, 
  not -devel

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc

